(define-module (kjartan packages emacs)
  #:use-module (guix packages)
  #:use-module (guix gexp)
  #:use-module (guix utils)
  #:use-module (guix git-download)
  #:use-module (gnu packages)
  #:use-module ((gnu packages emacs) #:prefix gnu:)
  #:use-module (gnu packages image)
  #:use-module (gnu packages xorg)
  #:use-module (gnu packages attr))

(define-public emacs-next-minimal
  (let ((commit "08c80c45ddea17df87fc768a39dff353ccc13d3b")
        (revision "58")
        (hash "0awb8bq22kppmsqd7pm5wqdqpjkhm7wvjiw43y280z3gz1mxdvkc"))
    (package
      (inherit gnu:emacs-next-minimal)
      (version (git-version "30.0.50" revision commit))
      (source (origin
                (inherit (package-source gnu:emacs-next-minimal))
                (method git-fetch)
                (uri (git-reference
                      (url "https://git.savannah.gnu.org/git/emacs.git/")
                      (commit commit)))
                (file-name (git-file-name "emacs-next-minimal" version))
                (sha256 (base32 hash)))))))

(define* (emacs->emacs-next emacs #:optional name
                            #:key (version (package-version emacs-next-minimal))
                            (source (package-source emacs-next-minimal)))
  (package
    (inherit emacs)
    (name (or name
              (and (string-prefix? "emacs" (package-name emacs))
                   (string-append "emacs-next"
                                  (string-drop (package-name emacs)
                                               (string-length "emacs"))))))
    (version version)
    (source source)))

(define-public emacs-next (emacs->emacs-next gnu:emacs))
(define-public emacs-next-pgtk (emacs->emacs-next gnu:emacs-pgtk))
(define-public emacs-next-pgtk-xwidgets (emacs->emacs-next gnu:emacs-pgtk-xwidgets))
(define-public emacs (deprecated-package "emacs" emacs-next))
(define-public emacs-pgtk (deprecated-package "emacs-pgtk" emacs-next))
